%define name	pocketsphinx

%define major	1
%define devname	%mklibname %{name} -d
%define libname	%mklibname %{name} %{major}

%define gstname	gstreamer0.10-%{name}

Name:		%{name}
Version:	0.7
Release:	%mkrel 1
Summary:	Real-time speech recognition
Group:		Sound
License:	BSD and LGPLv2+
URL:		http://www.pocketsphinx.org/
Source:		http://downloads.sourceforge.net/cmusphinx/%{name}-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	sphinxbase-devel

%description
PocketSphinx is a version of the open-source Sphinx-II speech recognition
system which is able to recognize speech in real-time.  While it may be
somewhat less accurate than the offline speech recognizers, it is lightweight
enough to run on handheld and embedded devices.

%package -n %{devname}
Summary:	Header files for developing with pocketsphinx
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developing with pocketsphinx.

%package -n %{libname}
Summary:	Shared libraries for pocketsphinx executables
Group:		System/Libraries

%description -n %{libname}
Shared libraries for pocketsphinx executables.

%package -n python-%{name}
Summary:	Python interface to pocketsphinx
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-%{name}
Python interface to pocketsphinx.

%package -n %{gstname}
Summary:	Gstreamer plugin for pocketsphinx
Group:		Sound
BuildRequires:	libgstreamer-devel
BuildRequires:	libgstreamer-plugins-base-devel
Requires:	%{name} = %{version}-%{release}

%description -n %{gstname}
Gstreamer plugin for pocketsphinx.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make LIBS="-lsphinxbase -lsphinxad -lm"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{python_sitearch}
%makeinstall_std

mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 doc/*.1 %{buildroot}%{_mandir}/man1/

# we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%clean
rm -rf %{buildroot}

%check
%make check

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*

%files -n %{devname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/libpocketsphinx.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/*

%files -n %{gstname}
%defattr(-,root,root)
%{_libdir}/gstreamer-0.10/libgst%{name}.so


%changelog
* Mon Jul 18 2011 wally <wally> 0.7-1.mga2
+ Revision: 125971
- imported package pocketsphinx

